Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.naming
Class ObdaUriParser

    java.lang.Object
      org.biojava.naming.ObdaUriParser

All Implemented Interfaces:
  NameParser

    public class ObdaUriParser

extends Object
implements NameParser

Singleton class for parsers that understand OBDA URIs.

Author:
  Matthew Pocock

Method Summary
`static ObdaUriParser` | `getInstance()`
`Name` | `parse(String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static ObdaUriParser getInstance()

### parse

    public Name parse(String name)
               throws NamingException

  Specified by:
    `parse` in interface `NameParser`
  Throws:
    `NamingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD